/*-------------------------------------------------------------------------------------------------------------------
   ANIMATIONS.
-------------------------------------------------------------------------------------------------------------------*/

   .dt-animation-pulse { animation: dt-pulse 2s infinite; }
   .dt-transition-all { transition: all 0.5s ease; }

   /*-- Pulse- --*/
   @keyframes dt-pulse {
      0% { box-shadow: 0 0 0 0 #36A38BBF; }
      70% { box-shadow: 0 0 0 10px #36A38B00; }
      100% { box-shadow: 0 0 0 0 #36A38B00; }
   }

/*-------------------------------------------------------------------------------------------------------------------
   BOX MODEL.
-------------------------------------------------------------------------------------------------------------------*/

   /* Border. */
   .dt-border-000 { border: 1px solid #000 !important; }
   .dt-border-111 { border: 1px solid #111 !important; }
   .dt-border-222 { border: 1px solid #222 !important; }
   .dt-border-333 { border: 1px solid #333 !important; }
   .dt-border-444 { border: 1px solid #444 !important; }
   .dt-border-555 { border: 1px solid #555 !important; }
   .dt-border-666 { border: 1px solid #666 !important; }
   .dt-border-777 { border: 1px solid #777 !important; }
   .dt-border-888 { border: 1px solid #888 !important; }
   .dt-border-999 { border: 1px solid #999 !important; }
   .dt-border-AAA { border: 1px solid #AAA !important; }
   .dt-border-BBB { border: 1px solid #BBB !important; }
   .dt-border-CCC { border: 1px solid #CCC !important; }
   .dt-border-DDD { border: 1px solid #DDD !important; }
   .dt-border-EEE { border: 1px solid #EEE !important; }
   .dt-border-FFF { border: 1px solid #FFF !important; }
   .dt-border-F9 { border: 1px solid #F9F9F9 !important; }
   .dt-border-none { border: none !important; }

   /* Border radius. */
   .dt-bradius-50 { border-radius: 50%; }
   .dt-bradius-100 { border-radius: 100%; }
   .dt-bradius-4p { border-radius: 4px; }
   .dt-bradius-8p { border-radius: 8px; }
   .dt-bradius-12p { border-radius: 12px; }
   .dt-bradius-16p { border-radius: 16px; }
   .dt-bradius-20p { border-radius: 20px; }
   .dt-bradius-24p { border-radius: 24px; }
   .dt-bradius-i { border-radius: inherit; }

   /* Margin. */
   .dt-margin-0 { margin: 0; }
   .dt-margin-4p { margin: 4px; }
   .dt-margin-0-auto { margin: 0 auto; }
   .dt-margin-8p-0 { margin: 8px 0; }
   .dt-margin-12p-0 { margin: 12px 0; }

   /* Margin bottom. */
   .dt-mbottom-4p { margin-bottom: 4px !important; }
   .dt-mbottom-8p { margin-bottom: 8px !important; }
   .dt-mbottom-12p { margin-bottom: 12px !important; }
   .dt-mbottom-16p { margin-bottom: 16px !important; }
   .dt-mbottom-20p { margin-bottom: 20px !important; }
   .dt-mbottom-24p { margin-bottom: 24px !important; }
   .dt-mbottom-28p { margin-bottom: 28px !important; }
   .dt-mbottom-32p { margin-bottom: 32px !important; }
   .dt-mbottom-36p { margin-bottom: 36px !important; }
   .dt-mbottom-40p { margin-bottom: 40px !important; }
   .dt-mbottom-60p { margin-bottom: 60px !important; }
   .dt-mbottom-72p { margin-bottom: 72px !important; }
   .dt-mbottom-80p { margin-bottom: 80px !important; }
   .dt-mbottom-112p { margin-bottom: 112px !important; }
   .dt-mbottom-auto { margin-bottom: auto !important; }

   /* Margin left. */
   .dt-mleft-8 { margin-left: 8%; }
   .dt-mleft-4p { margin-left: 4px !important; }
   .dt-mleft-8p { margin-left: 8px !important; }
   .dt-mleft-12p { margin-left: 12px !important; }
   .dt-mleft-16p { margin-left: 16px !important; }
   .dt-mleft-20p { margin-left: 20px !important; }
   .dt-mleft-24p { margin-left: 24px !important; }
   .dt-mleft-28p { margin-left: 28px !important; }
   .dt-mleft-32p { margin-left: 32px !important; }
   .dt-mleft-36p { margin-left: 36px !important; }
   .dt-mleft-40p { margin-left: 40px !important; }
   .dt-mleft-60p { margin-left: 60px !important; }
   .dt-mleft-72p { margin-left: 72px !important; }
   .dt-mleft-80p { margin-left: 80px !important; }
   .dt-mleft-112p { margin-left: 112px !important; }
   .dt-mleft-auto { margin-left: auto !important; }

   /* Margin right. */
   .dt-mright-8 { margin-right: 8%; }
   .dt-mright-4p { margin-right: 4px !important; }
   .dt-mright-8p { margin-right: 8px !important; }
   .dt-mright-12p { margin-right: 12px !important; }
   .dt-mright-16p { margin-right: 16px !important; }
   .dt-mright-20p { margin-right: 20px !important; }
   .dt-mright-24p { margin-right: 24px !important; }
   .dt-mright-28p { margin-right: 28px !important; }
   .dt-mright-32p { margin-right: 32px !important; }
   .dt-mright-36p { margin-right: 36px !important; }
   .dt-mright-40p { margin-right: 40px !important; }
   .dt-mright-60p { margin-right: 60px !important; }
   .dt-mright-72p { margin-right: 72px !important; }
   .dt-mright-80p { margin-right: 80px !important; }
   .dt-mright-112p { margin-right: 112px !important; }
   .dt-mright-auto { margin-right: auto !important; }

   /* Margin top. */
   .dt-mtop-4p { margin-top: 4px !important; }
   .dt-mtop-8p { margin-top: 8px !important; }
   .dt-mtop-12p { margin-top: 12px !important; }
   .dt-mtop-16p { margin-top: 16px !important; }
   .dt-mtop-20p { margin-top: 20px !important; }
   .dt-mtop-24p { margin-top: 24px !important; }
   .dt-mtop-28p { margin-top: 28px !important; }
   .dt-mtop-32p { margin-top: 32px !important; }
   .dt-mtop-36p { margin-top: 36px !important; }
   .dt-mtop-40p { margin-top: 40px !important; }
   .dt-mtop-60p { margin-top: 60px !important; }
   .dt-mtop-72p { margin-top: 72px !important; }
   .dt-mtop-80p { margin-top: 80px !important; }
   .dt-mtop-112p { margin-top: 112px !important; }
   .dt-mtop-auto { margin-top: auto !important; }

   /* Padding. */
   .dt-padding-4p { padding: 4px; }
   .dt-padding-8p { padding: 8px; }
   .dt-padding-12p { padding: 12px; }
   .dt-padding-16p { padding: 16px; }
   .dt-padding-20p { padding: 20px; }
   .dt-padding-24p { padding: 24px; }
   .dt-padding-28p { padding: 28px; }
   .dt-padding-32p { padding: 32px; }
   .dt-padding-36p { padding: 36px; }
   .dt-padding-40p { padding: 40px; }
   .dt-padding-60p { padding: 60px; }
   .dt-padding-72p { padding: 72px; }
   .dt-padding-80p { padding: 80px; }
   .dt-padding-112p { padding: 112px; }

   /* Padding bottom. */
   .dt-pbottom-0 { padding-bottom: 0 !important; }
   .dt-pbottom-4p { padding-bottom: 4px; }
   .dt-pbottom-8p { padding-bottom: 8px; }
   .dt-pbottom-12p { padding-bottom: 12px; }
   .dt-pbottom-16p { padding-bottom: 16px; }
   .dt-pbottom-20p { padding-bottom: 20px; }
   .dt-pbottom-20p { padding-bottom: 20px; }
   .dt-pbottom-24p { padding-bottom: 24px; }
   .dt-pbottom-24p { padding-bottom: 24px; }
   .dt-pbottom-28p { padding-bottom: 28px; }
   .dt-pbottom-32p { padding-bottom: 32px; }
   .dt-pbottom-32p { padding-bottom: 32px; }
   .dt-pbottom-36p { padding-bottom: 36px; }
   .dt-pbottom-40p { padding-bottom: 40px; }
   .dt-pbottom-60p { padding-bottom: 60px; }
   .dt-pbottom-72p { padding-bottom: 72px; }
   .dt-pbottom-80p { padding-bottom: 80px; }
   .dt-pbottom-112p { padding-bottom: 112px; }

   /* Padding left. */
   .dt-pleft-0 { padding-left: 0 !important; }
   .dt-pleft-4p { padding-left: 4px; }
   .dt-pleft-8p { padding-left: 8px; }
   .dt-pleft-12p { padding-left: 12px; }
   .dt-pleft-16p { padding-left: 16px; }
   .dt-pleft-20p { padding-left: 20px; }
   .dt-pleft-20p { padding-left: 20px; }
   .dt-pleft-24p { padding-left: 24px; }
   .dt-pleft-24p { padding-left: 24px; }
   .dt-pleft-28p { padding-left: 28px; }
   .dt-pleft-32p { padding-left: 32px; }
   .dt-pleft-32p { padding-left: 32px; }
   .dt-pleft-36p { padding-left: 36px; }
   .dt-pleft-40p { padding-left: 40px; }
   .dt-pleft-60p { padding-left: 60px; }
   .dt-pleft-72p { padding-left: 72px; }
   .dt-pleft-80p { padding-left: 80px; }
   .dt-pleft-112p { padding-left: 112px; }

   /* Padding right. */
   .dt-pright-0 { padding-right: 0 !important; }
   .dt-pright-4p { padding-right: 4px; }
   .dt-pright-8p { padding-right: 8px; }
   .dt-pright-12p { padding-right: 12px; }
   .dt-pright-16p { padding-right: 16px; }
   .dt-pright-20p { padding-right: 20px; }
   .dt-pright-20p { padding-right: 20px; }
   .dt-pright-24p { padding-right: 24px; }
   .dt-pright-24p { padding-right: 24px; }
   .dt-pright-28p { padding-right: 28px; }
   .dt-pright-32p { padding-right: 32px; }
   .dt-pright-32p { padding-right: 32px; }
   .dt-pright-36p { padding-right: 36px; }
   .dt-pright-40p { padding-right: 40px; }
   .dt-pright-60p { padding-right: 60px; }
   .dt-pright-72p { padding-right: 72px; }
   .dt-pright-80p { padding-right: 80px; }
   .dt-pright-112p { padding-right: 112px; }

   /* Padding top. */
   .dt-ptop-0 { padding-top: 0 !important; }
   .dt-ptop-4p { padding-top: 4px; }
   .dt-ptop-8p { padding-top: 8px; }
   .dt-ptop-12p { padding-top: 12px !important; }
   .dt-ptop-16p { padding-top: 16px !important; }
   .dt-ptop-20p { padding-top: 20px !important; }
   .dt-ptop-20p { padding-top: 20px !important; }
   .dt-ptop-24p { padding-top: 24px !important; }
   .dt-ptop-24p { padding-top: 24px !important; }
   .dt-ptop-28p { padding-top: 28px !important; }
   .dt-ptop-32p { padding-top: 32px !important; }
   .dt-ptop-32p { padding-top: 32px !important; }
   .dt-ptop-36p { padding-top: 36px !important; }
   .dt-ptop-40p { padding-top: 40px !important; }
   .dt-ptop-60p { padding-top: 60px !important; }
   .dt-ptop-72p { padding-top: 72px !important; }
   .dt-ptop-80p { padding-top: 80px !important; }
   .dt-ptop-112p { padding-top: 112px !important; }

/*-------------------------------------------------------------------------------------------------------------------
   DIMENSIONS.
-------------------------------------------------------------------------------------------------------------------*/

   /* Height. */
   .dt-height-100 { height: 100% !important; }

   .dt-height-1p {
      height: 1px !important;
      min-height: 1px !important;
   }
   
   .dt-height-2p {
      height: 2px !important;
      min-height: 2px !important;
   }
   
   .dt-height-100v {height: 100vh !important; }
   .dt-height-100dv {height: 100dvh !important; }
   .dt-height-auto { height: auto !important; }

   /* Width. */
   .dt-mwidth-mcontent { min-width: max-content !important; }
   .dt-width-0 { width: 0 !important; }
   .dt-width-10 { width: 10% !important; }
   .dt-width-15 { width: 15% !important; }
   .dt-width-20 { width: 20% !important; }
   .dt-width-25 { width: 25% !important; }
   .dt-width-30 { width: 30% !important; }
   .dt-width-33 { width: 33% !important; }
   .dt-width-35 { width: 35% !important; }
   .dt-width-40 { width: 40% !important; }
   .dt-width-45 { width: 45% !important; }
   .dt-width-48 { width: 48% !important; }
   .dt-width-50 { width: 50% !important; }
   .dt-width-55 { width: 55% !important; }
   .dt-width-60 { width: 60% !important; }
   .dt-width-65 { width: 65% !important; }
   .dt-width-70 { width: 70% !important; }
   .dt-width-75 { width: 75% !important; }
   .dt-width-80 { width: 80% !important; }
   .dt-width-85 { width: 85% !important; }
   .dt-width-90 { width: 90% !important; }
   .dt-width-95 { width: 95% !important; }
   .dt-width-100 { width: 100% !important; }
   .dt-width-1p { width: 1px; }
   .dt-width-2p { width: 2px; }
   .dt-width-auto { width: auto !important; }

/*-------------------------------------------------------------------------------------------------------------------
   DISPLAYS.
-------------------------------------------------------------------------------------------------------------------*/

   /* Box shadow. */
   .dt-bshadow { box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.05), 0 12px 28px 0 rgba(0, 0, 0, 0.05);  }

   /* Display. */
   .dt-display-block { display: block; }
   .dt-display-flex { display: flex; }
   .dt-display-iblock { display: inline-block; }
   .dt-display-iflex { display: inline-flex; }
   .dt-display-inline { display: inline; }
   .dt-display-none { display: none !important; }

   /* Opacity. */
   .dt-opacity-0_25 { opacity: 0.25; }
   .dt-opacity-0_50 { opacity: 0.5; }
   .dt-opacity-0_75 { opacity: 0.75; }
   .dt-opacity-1 { opacity: 1; }

   /* Position. */
   .dt-position-absolute { position: absolute; }
   .dt-position-fixed { position: fixed; }
   .dt-position-relative { position: relative; }
   .dt-bottom-0 { bottom: 0; }
   .dt-left-0 { left: 0; }
   .dt-right-0 { right: 0; }
   .dt-top-0 { top: 0; }

   /* Transform. */
   .dt-transform-tx-50 { transform: translateX(50%); }
   .dt-transform-tx-n50 { transform: translateX(-50%); }
   .dt-transform-ty-50 { transform: translateY(50%); }
   .dt-transform-ty-n50 { transform: translateY(-50%); }

   /* Vertical align. */
   .dt-valign-auto { vertical-align: auto; }
   .dt-valign-bottom { vertical-align: bottom; }
   .dt-valign-middle { vertical-align: middle; }
   .dt-valign-top { vertical-align: top; }

   /* Visibility. */
   .dt-visibility-hidden { visibility: hidden !important; }
   .dt-visibility-visible { visibility: visible !important; }

   /* Z-Index. */
   .dt-zindex-9 { z-index: 9; }
   .dt-zindex-99 { z-index: 99; }
   .dt-zindex-999 { z-index: 999; }
   .dt-zindex-9999 { z-index: 9999; }
   .dt-zindex-99999 { z-index: 99999; }
   .dt-zindex-n9 { z-index: -9; }

/*-------------------------------------------------------------------------------------------------------------------
   FLEXBOX.
-------------------------------------------------------------------------------------------------------------------*/

   /* Align content. */
   .dt-acontent-center { align-content: center;  }
   .dt-acontent-fend { align-content: flex-end;  }
   .dt-acontent-fstart { align-content: flex-start;  }
   .dt-acontent-saround { align-content: space-around;  }
   .dt-acontent-sbetween { align-content: space-between;  }
   .dt-acontent-stretch { align-content: stretch;  }

   /* Align items. */
   .dt-aitems-baseline { align-items: baseline; }
   .dt-aitems-center { align-items: center; }
   .dt-aitems-fend { align-items: flex-end; }
   .dt-aitems-fstart { align-items: flex-start; }
   .dt-aitems-stretch { align-items: stretch; }

   /* Align self. */
   .dt-aself-center { align-self: center; }
   .dt-aself-fend { align-self: flex-end; }
   .dt-aself-fstart { align-self: flex-start; }

   /* Flex. */
   .dt-flex-0 { flex: 0; }
   .dt-flex-1 { flex: 1; }
   .dt-flex-2 { flex: 2; }
   .dt-flex-auto { flex: auto; }

   /* Flex basis. */
   .dt-fbasis-0 { flex-basis: 0; }
   .dt-fbasis-1 { flex-basis: 1; }
   .dt-fbasis-auto { flex-basis: auto; }

   /* Flex direction. */
   .dt-fdirection-column { flex-direction: column; }
   .dt-fdirection-creverse { flex-direction: column-reverse; }
   .dt-fdirection-row { flex-direction: row; }
   .dt-fdirection-rreverse { flex-direction: row-reverse; }

   /* Flex grow. */
   .dt-fgrow-0 { flex-grow: 0; }
   .dt-fgrow-1 {flex-grow: 1;}
   .dt-fgrow-2 { flex-grow: 2; }

   /* Flex wrap. */
   .dt-fwrap-nowwrap { flex-wrap: nowrap; }
   .dt-fwrap-wrap { flex-wrap: wrap; }
   .dt-fwrap-wreverse { flex-wrap: wrap-reverse; }

   /* Flex shrink. */
   .dt-fshrink-0 { flex-shrink: 0; }

   /* GAP. */
   .dt-gap-4p { gap: 4px; }
   .dt-gap-8p { gap: 8px; }
   .dt-gap-12p { gap: 12px; }
   .dt-gap-16p { gap: 16px; }
   .dt-gap-20p { gap: 20px; }
   .dt-gap-24p { gap: 24px; }
   .dt-gap-28p { gap: 28px; }

   /* Justify content. */
   .dt-jcontent-center { justify-content: center; }
   .dt-jcontent-fend { justify-content: flex-end; }
   .dt-jcontent-fstart { justify-content: flex-start; }
   .dt-jcontent-saround { justify-content: space-around; }
   .dt-jcontent-sbetween { justify-content: space-between; }

/*-------------------------------------------------------------------------------------------------------------------
   FONTS AND TEXT.
-------------------------------------------------------------------------------------------------------------------*/

   /* Font size. */
   .dt-fsize-0_25 { font-size: 0.25rem !important; }
   .dt-fsize-0_5 { font-size: 0.5rem !important; }
   .dt-fsize-0_75 { font-size: 0.75rem !important; }
   .dt-fsize-1 { font-size: 1rem !important; }
   .dt-fsize-1_25 { font-size: 1.25rem !important; }
   .dt-fsize-1_5 { font-size: 1.5rem !important; }  
   .dt-fsize-1_75 { font-size: 1.75rem !important; }
   .dt-fsize-2 { font-size: 2rem !important; }
   .dt-fsize-2_25 { font-size: 2.25rem !important; }
   .dt-fsize-2_5 { font-size: 2.5rem !important; }
   .dt-fsize-2_75 { font-size: 2.75rem !important; }
   .dt-fsize-3 { font-size: 3rem !important; }
   .dt-fsize-3_25 { font-size: 3.25rem !important; }
   .dt-fsize-3_5 { font-size: 3.5rem !important; }
   .dt-fsize-3_75 { font-size: 3.75rem !important; }
   .dt-fsize-4 { font-size: 4rem !important; }
   .dt-fsize-4_25 { font-size: 4.25rem !important; }
   .dt-fsize-4_5 { font-size: 4.5rem !important; }
   .dt-fsize-4_75 { font-size: 4.75rem !important; }
   .dt-fsize-5 { font-size: 5rem !important; }
   .dt-fsize-6 { font-size: 6rem !important; }
   .dt-fsize-7 { font-size: 7rem !important; }

   /* Font style. */
   .dt-fstyle-italic { font-style: italic; }
   .dt-fstyle-oblique { font-style: oblique; }

   /* Font weight. */
   .dt-fweight-400 { font-weight: 400 !important; }
   .dt-fweight-500 { font-weight: 500 !important; }
   .dt-fweight-600 { font-weight: 600 !important; }
   .dt-fweight-700 { font-weight: 700 !important; }
   .dt-fweight-900 { font-weight: 900 !important; }
   .dt-fweight-bold { font-weight: bold; }
   .dt-fweight-bolder { font-weight: bolder; }
   .dt-fweight-normal { font-weight: normal; }

   /* Line height. */
   .dt-lheight-1 { line-height: 1; }
   .dt-lheight-1_25 { line-height: 1.25; }
   .dt-lheight-80 { line-height: 80%; }
   .dt-lheight-90 { line-height: 90%; }

   /* Others. */
   .dt-tdecoration-lthrough { text-decoration: line-through; }
   .dt-tdecoration-underline { text-decoration: underline; }
   .dt-ttransform-uppercase { text-transform: uppercase; }

   /* Text align. */
   .dt-talign-center { text-align: center !important; }
   .dt-talign-justify { text-align: justify !important; }
   .dt-talign-left { text-align: left !important; }
   .dt-talign-right { text-align: right; }

   /* White space. */
   .dt-wspace-nwrap { white-space: nowrap; }

/*-------------------------------------------------------------------------------------------------------------------
   OVERALL.
-------------------------------------------------------------------------------------------------------------------*/

   /* Cursor. */
   .dt-cursor-pointer { cursor: pointer; }
   .dt-cursor-progress { cursor: progress; }

   /* Others. */
   .dt-button {
      background: none;
      border: none;
      cursor: pointer;
      font-size: 1em;
   }

   .dt-container, .dt-full-container {
      margin: 0 auto;
      max-width: 1160px;
      width: 100%;
   }

   .dt-full-container { max-width: 1280px; }
   .dt-innotivamos { background: linear-gradient(to right, rgba(184,9,73,1) 0%, rgba(132,49,103,1) 17%, rgba(8,109,163,1) 33%, rgba(49,155,122,1) 50%, rgba(147,199,112,1) 67%, rgba(231,117,35,1) 83%, rgba(255,201,38,1) 100%); }
   .dt-ofit-cover { object-fit: cover; }
   .dt-ofit-contain { object-fit: contain; }
   .dt-overflow-auto { overflow: auto; }
   .dt-overflow-hidden { overflow: hidden; }
   .dt-overflow-scroll { overflow: scroll; }
   .dt-ox-auto { overflow-x: auto; }
   .dt-oy-auto { overflow-y: auto; }

   .dt-section {
      padding-bottom: 80px;
      padding-top: 80px;
   }

   .dt-lclamp-1, .dt-lclamp-2, .dt-lclamp-3, .dt-lclamp-4, .dt-lclamp-5 {
      display: -webkit-box;
      overflow: hidden;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 1;
   }

   .dt-lclamp-2 { -webkit-line-clamp: 2; }
   .dt-lclamp-3 { -webkit-line-clamp: 3; }
   .dt-lclamp-4 { -webkit-line-clamp: 4; }
   .dt-lclamp-5 { -webkit-line-clamp: 5; }

   .dt-text-crop-2l {
      overflow: hidden;
      display: -webkit-box;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
   }

   .dt-text-crop-3l {
      overflow: hidden;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
   }

   .dt-title {
      cursor: default;
      left: 0;
      opacity: 0;
      position: absolute;
      top: 0;
      z-index: -9999;
   }

   .dt-mobile { display: flex; }
   .dt-desktop { display: none; }

/*-------------------------------------------------------------------------------------------------------------------
   MEDIA QUERIES.
-------------------------------------------------------------------------------------------------------------------*/

   @media screen and (max-width: 768px) {
      .dt-container {
         max-width: 90%;
         width: 90%;
      }

      .dt-mobile { display: none !important; }
      .dt-desktop { display: flex !important; }
   }